## org.eclipse.amp.amf.parameters.ui.quickfix
Class AParQuickfixProvider

    java.lang.Object
      org.eclipse.xtext.ui.editor.quickfix.AbstractDeclarativeQuickfixProvider
          org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider
              org.eclipse.amp.amf.parameters.ui.quickfix.AParQuickfixProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider

    public class AParQuickfixProvider

extends org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider
`org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider.NullImpl`

Constructor Summary
`AParQuickfixProvider()`

Method Summary

Methods inherited from class org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider
`createLinkingIssueResolutions, fixCrossReferenceImage, fixCrossReferenceLabel, getModificationContextFactory, getQualifiedNameConverter, getResolutions, getResolutionsForLinkingIssue, getScopeProvider, getSimilarityMatcher, getUnresolvedEReference, hasResolutionFor, queryScope`

Methods inherited from class org.eclipse.xtext.ui.editor.quickfix.AbstractDeclarativeQuickfixProvider
`collectMethods, getFixMethodPredicate, getFixMethods, getIssueResolutionAcceptorProvider, getResolutions, setIssueResolutionAcceptorProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParQuickfixProvider

    public AParQuickfixProvider()